<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| File and Directory Modes
|--------------------------------------------------------------------------
|
| These prefs are used when checking and setting modes when working
| with the file system.  The defaults are fine on servers with proper
| security, but you may wish (or even need) to change the values in
| certain environments (Apache running a separate process for each
| user, PHP under CGI with Apache suEXEC, etc.).  Octal values should
| always be used to set the mode correctly.
|
*/
define('FILE_READ_MODE', 0644);
define('FILE_WRITE_MODE', 0666);
define('DIR_READ_MODE', 0755);
define('DIR_WRITE_MODE', 0777);

/*
|--------------------------------------------------------------------------
| File Stream Modes
|--------------------------------------------------------------------------
|
| These modes are used when working with fopen()/popen()
|
*/

define('FOPEN_READ',							'rb');
define('FOPEN_READ_WRITE',						'r+b');
define('FOPEN_WRITE_CREATE_DESTRUCTIVE',		'wb'); // truncates existing file data, use with care
define('FOPEN_READ_WRITE_CREATE_DESTRUCTIVE',	'w+b'); // truncates existing file data, use with care
define('FOPEN_WRITE_CREATE',					'ab');
define('FOPEN_READ_WRITE_CREATE',				'a+b');
define('FOPEN_WRITE_CREATE_STRICT',				'xb');
define('FOPEN_READ_WRITE_CREATE_STRICT',		'x+b');

/*
| Define custom functionality's variable.
| 
*/

define('PAGINATION_ITEM_PER_PAGE',	20);
define('PAGINATION_URI_SEGMENT', 4);
/* End of file constants.php */
/* Location: ./application/config/constants.php */


$arrPaymentMethods = array (
1 => 'payment_cash', 
2 => 'payment_cheque', 
3 => 'payment_credit_card', 
4 => 'payment_online' ,
5 => 'payment_club_membership', 
6 => 'payment_complementary', 
7 => 'payment_replacement', 
8 => 'payment_invoice', 
9 => 'payment_nets',
10 => 'payment_paynow',
11 => 'payment_voucher');

define('arrPaymentMethods', serialize($arrPaymentMethods));

$paymentMethods_display = array (
1 => 'Cash', 
2 => 'Cheque', 
3 => 'Credit Card', 
4 => 'Online' ,
5 => 'Club Membership', 
6 => 'Complementary', 
7 => 'Replacement', 
8 => 'Invoice', 
9 => 'NETS',
10 => 'Paynow',
11 => 'Voucher');

define('paymentMethods_display', serialize($paymentMethods_display));
